package main

import (
	"github.com/prometheus/client_golang/prometheus"
	"github.com/prometheus/client_golang/prometheus/promauto"
)

var (
	opTotalMsg = promauto.NewCounter(prometheus.CounterOpts{
		Name: "broker_received_total",
		Help: "The total number of received messages",
	})
	opMsgPerChat = promauto.NewCounterVec(prometheus.CounterOpts{
		Name: "broker_received_chat",
		Help: "The number of received messages per chat",
	}, []string{
		"chatid",
		"user",
	})
	opCommand = promauto.NewCounterVec(prometheus.CounterOpts{
		Name: "broker_received_commands",
		Help: "The number of commands written in chats (or privately)",
	}, []string{
		"command",
	})
)
